Page MenuHomePhabricator

Add an item to the grunt lint `task` to check for un-internationalized strings
Closed, ResolvedPublic

Description

Use https://github.com/rory/django-template-i18n-lint or https://github.com/jwarby/i18n-lint to flag un-internationalized strings in tracker. Add to the grunt lint task to ensure this check is performed. You may have to research alternate i18n lint solutions.

Expected skills:

  • Javascript
  • Package management with npm
  • Grunt

Details

Related Gerrit Patches:
wikimedia-cz/tracker : masterAdd i18n linting and fixed issues

Event Timeline

Urbanecm renamed this task from Lint for unlocalized strings to Lint for uninternacionalized strings.Dec 4 2018, 1:32 PM
Urbanecm created this task.
Shreyasminocha renamed this task from Lint for uninternacionalized strings to Add an item to the grunt lint `task` to check for un-internationalized strings.Dec 4 2018, 6:14 PM
Shreyasminocha triaged this task as Low priority.
Shreyasminocha updated the task description. (Show Details)
Urbanecm moved this task from Inbox to GCI on the WMCZ-Tracker board.
Urbanecm moved this task from Backlog to GCI on the User-Urbanecm board.Dec 5 2018, 10:15 AM
Urbanecm assigned this task to Arcayn.Dec 7 2018, 10:15 PM

Change 478396 had a related patch set uploaded (by Arcayn; owner: Arcayn):
[wikimedia-cz/tracker@master] Added i18n linting and fixed issues

https://gerrit.wikimedia.org/r/478396

Change 478396 merged by jenkins-bot:
[wikimedia-cz/tracker@master] Add i18n linting and fixed issues

https://gerrit.wikimedia.org/r/478396

Urbanecm closed this task as Resolved.Dec 8 2018, 10:31 PM